searchData={"items":[{"type":"module","title":"Geohax","doc":"Geohash encoding and decoding.","ref":"Geohax.html"},{"type":"function","title":"Geohax.decode/1","doc":"Decodes a Geohash to a position `{longitude, latitude}`.","ref":"Geohax.html#decode/1"},{"type":"function","title":"Example - Geohax.decode/1","doc":"iex> Geohax.decode(\"311x1r\")\n    {-132.83, -38.1033}","ref":"Geohax.html#decode/1-example"},{"type":"function","title":"Geohax.encode/3","doc":"Encodes a position `longitude, latitude` to a Geohash of `precision`\nlength.","ref":"Geohax.html#encode/3"},{"type":"function","title":"Example - Geohax.encode/3","doc":"iex> Geohax.encode(-132.83, -38.1033, 6)\n    \"311x1r\"","ref":"Geohax.html#encode/3-example"},{"type":"function","title":"Geohax.neighbor/2","doc":"Finds neighbor of a Geohash in a given direction.\n\nAllowed directions are `:north`, `:south`, `:east` and `:west`.","ref":"Geohax.html#neighbor/2"},{"type":"function","title":"Example - Geohax.neighbor/2","doc":"iex> Geohax.neighbor(\"311x1r\", :north)\n    \"311x32\"","ref":"Geohax.html#neighbor/2-example"},{"type":"function","title":"Geohax.neighbors/1","doc":"Finds neighbors of a Geohash.","ref":"Geohax.html#neighbors/1"},{"type":"function","title":"Example - Geohax.neighbors/1","doc":"iex> Geohax.neighbors(\"311x1r\")\n    %{north: \"311x32\", south: \"311x1q\", east: \"311x1x\", west: \"311x1p\"}","ref":"Geohax.html#neighbors/1-example"},{"type":"function","title":"Geohax.within/3","doc":"Finds all the Geohashes within `{min_lon, min_lat}, {max_lon, max_lat}` with the\ngiven `precision`.","ref":"Geohax.html#within/3"},{"type":"function","title":"Examples - Geohax.within/3","doc":"iex> Geohax.within({16.731831, 52.291725}, {17.071703, 52.508736})\n    [\"u37ck\", \"u37cm\", \"u37cq\", \"u37cr\", \"u3k12\", \"u3k13\", \"u3k16\", \"u3k17\",\n     \"u3k1k\", \"u37cs\", \"u37ct\", \"u37cw\", \"u37cx\", \"u3k18\", \"u3k19\", \"u3k1d\",\n     \"u3k1e\", \"u3k1s\", \"u37cu\", \"u37cv\", \"u37cy\", \"u37cz\", \"u3k1b\", \"u3k1c\",\n     \"u3k1f\", \"u3k1g\", \"u3k1u\", \"u37fh\", \"u37fj\", \"u37fn\", \"u37fp\", \"u3k40\",\n     \"u3k41\", \"u3k44\", \"u3k45\", \"u3k4h\", \"u37fk\", \"u37fm\", \"u37fq\", \"u37fr\",\n     \"u3k42\", \"u3k43\", \"u3k46\", \"u3k47\", \"u3k4k\", \"u37fs\", \"u37ft\", \"u37fw\",\n     \"u37fx\", \"u3k48\", \"u3k49\", \"u3k4d\", \"u3k4e\", \"u3k4s\"]\n\n    iex> Geohax.within({16.731831, 52.291725}, {17.071703, 52.508736}, 3)\n    [\"u37\", \"u3k\"]","ref":"Geohax.html#within/3-examples"},{"type":"type","title":"Geohax.direction/0","doc":"","ref":"Geohax.html#t:direction/0"},{"type":"type","title":"Geohax.latitude/0","doc":"","ref":"Geohax.html#t:latitude/0"},{"type":"type","title":"Geohax.longitude/0","doc":"","ref":"Geohax.html#t:longitude/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}